Summary:	MATE Notification Daemon
Name:		mate-notification-daemon
Version:	1.20.0
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Servers
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.20/%{name}-%{version}.tar.xz
Patch0:     daemon.c.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#---------------------------------------------------
BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}canberra-devel
BuildRequires: %{_lib}canberra-gtk-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}wnck1-devel
BuildRequires: %{_lib}x11-devel
Conflicts:	xfce4-notifyd
Requires:	hicolor-icon-theme
Requires:	notification-daemon-engine-nodoka
#---------------------------------------------------

%description
A daemon that displays passive pop-up notifications as per the
Desktop Notifications spec (http://galago.info/specs/notification/index.php).

%prep
%setup -q
%apply_patches

%build
%configure2_5x -disable-schemas-compile --with-gtk=3.0 --disable-static

%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/mate-notification-daemon
%makeinstall_std

# remove needless gsettings convert file to avoid slow session start
rm -f  %{buildroot}%{_datadir}/MateConf/gsettings/mate-notification-daemon.convert
rm -f %{buildroot}%{_libdir}/mate-notification-daemon/engines/*.la

desktop-file-install                               \
        --delete-original                          \
        --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/mate-notification-properties.desktop


# See: https://bugzilla.redhat.com/show_bug.cgi?id=484945#c33
rm -rf %{buildroot}%{_datadir}/dbus-1/services/org.freedesktop.mate.Notifications.service


# Autostart
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cat << EOF > %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop
[Desktop Entry]
Type=Application
Name=Notification daemon for MATE Desktop
Exec=%{_libexecdir}/mate-notification-daemon
Icon=mate-notification-properties
OnlyShowIn=MATE;
EOF

%find_lang %{name}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :


%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog README
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/mate-notification-properties
%{_libexecdir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/mate-notification-daemon/mate-notification-properties.ui
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/glib-2.0/schemas/org.mate.NotificationDaemon.gschema.xml
%{_datadir}/man/man1/mate-notification-properties.1.bz2
%{_libdir}/mate-notification-daemon/engines


%clean
rm -rf %{buildroot}


%changelog
* Thu Mar 08 2018 bb2 <bb2> - 1.20.0-2pclos2018
- fix notification startup

* Sat Feb 17 2018 bb2 <bb2> - 1.20.0-1pclos2018
- new version

* Wed Oct 25 2017 bb2 <bb2> - 1.18.1-1pclos2017
- new version

* Wed Sep 13 2017 bb2 <bb2> - 1.18.0-3pclos2017
- rebuild against updates

* Tue Mar 14 2017 bb2 <bb2> - 1.18.0-2pclos2017
- drop patch fixed upstream

* Tue Mar 14 2017 bb2 <bb2> - 1.18.0-1pclos2017
- new version

* Sun Dec 11 2016 bb <bb> 1.16.1-1pclos2016
- update

* Wed Sep 21 2016 bb <bb> 1.16.0-1pclos2016
- update

* Thu Jun 30 2016 bb <bb> 1.14.1-1pclos2016
- update

